%define		mainver		0.98
%define		betaver		pre1
%define		relnumber	1

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		mecab-java
Version:	%{mainver}
Release:	%{?betaver:0.}%{relnumber}%{?betaver:.%betaver}%{?dist}
Summary:	Java binding for MeCab

Group:		Applications/Text
License:	BSD or LGPLv2+ or GPL+
URL:		http://mecab.sourceforge.net/
Source0:	http://downloads.sourceforge.net/mecab/%{name}-%{mainver}%{?betaver}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# This is not release number specific
BuildRequires:	mecab-devel = %{version}
BuildRequires:	gcc-java
BuildRequires:	libgcj-devel
BuildRequires(check):	mecab-jumandic

Requires:	mecab = %{version}

%description
%{summary}.

%prep
%setup -q -n %{name}-%{mainver}%{?betaver}
%{__sed} -i.opt -e 's|-O3||' Makefile

# ??? What are the following lines for?
# Disabling for now
: %{__sed} -i.test \
	-e '/test\.java/s|\$|-$|' Makefile

%build
# Failed with -j4 on Matt's mass build
%{__make} -j1 \
	CXX="g++ $RPM_OPT_FLAGS" \
	JAVAC="%{_bindir}/gcj -C" \
	JAR="%{_bindir}/fastjar"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_javadir}

%{__install} -cm 644 MeCab.jar $RPM_BUILD_ROOT%{_javadir}
%{__install} -cm 755 libMeCab.so $RPM_BUILD_ROOT%{_libdir}


%check
export JAVA=%{java}
%{__make} test || :

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc bindings.html
%doc AUTHORS COPYING BSD GPL LGPL

%{_libdir}/libMeCab.so
%{_javadir}/MeCab.jar

%changelog
* Mon Mar  9 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.98-0.1.pre1
- Update to 0.98pre1

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.97-3
- %%global-lize "nested" macro

* Fri Aug 29 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.97-2
- Use -j1 (-j4 failed)

* Sun Feb  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.97-1
- 0.97

* Fri Oct 26 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.96-3
- License fix

* Wed Aug 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.96-2.dist.3
- Mass rebuild (buildID or binutils issue)

* Fri Aug  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.96-2.dist.1
- License update

* Sun Jun 17 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.96-2
- Nuke test for now

* Fri Jun 15 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.96-1
- 0.96

* Thu Mar 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-1
- Initial packaging.
